aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorTodd Malsbary <todd.malsbary@intel.com>2021-06-28 12:54:46 -0700
committerTodd Malsbary <todd.malsbary@intel.com>2021-06-30 20:33:42 +0000
commit451a99f567113893c346c2ed4dcc9bc99441a26e (patch)
treef55662761336a31414eab4c5fc65061b7a684f1f
parent156dd3c90405fc099ffe82457475f96dc5938217 (diff)
Fix error when attempting to remove missing webhook
Issue-ID: MULTICLOUD-1370 Signed-off-by: Todd Malsbary <todd.malsbary@intel.com> Change-Id: If3b71f64b5994bbe6bd68e2b620452f4081cd705
-rwxr-xr-xkud/hosting_providers/vagrant/installer.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/kud/hosting_providers/vagrant/installer.sh b/kud/hosting_providers/vagrant/installer.sh
index 5535c31b..75472913 100755
--- a/kud/hosting_providers/vagrant/installer.sh
+++ b/kud/hosting_providers/vagrant/installer.sh
@@ -178,7 +178,7 @@ function install_addons {
popd
done
# Remove Kata webhook if user didn't want it permanently installed
- if ! [ "${enable_kata_webhook}" == "true" ]; then
+ if ! [ "${enable_kata_webhook}" == "true" ] && [ "${kata_webhook_deployed}" == "true" ]; then
ansible-playbook $verbose -i $kud_inventory -e "base_dest=$HOME" \
-e "kata_webhook_runtimeclass=$kata_webhook_runtimeclass" \
$kud_playbooks/configure-kata-webhook-reset.yml \